Subject: [calsify] Interim meeting minutes and bluesheets uploaded

From: "Bron Gondwana" <[email-masked]>
Date: Thu, 10 Oct 2019 03:35:45 +1100

Hi all,

I've uploaded the minutes and blue-sheets from today's interim meeting:

https://datatracker.ietf.org/meeting/interim-2019-calext-02/materials/minutes-interim-2019-calext-02-201910091100
https://www.ietf.org/proceedings/interim-2019-calext-02/bluesheets/bluesheets-interim-2019-calext-02-201910091100-00.txt

(no: I don't know why the datatracker gives such different links, but that's what it does!)

The chair slides which I presented from are also in the datatracker here:

https://datatracker.ietf.org/meeting/interim-2019-calext-02/materials/slides-interim-2019-calext-02-sessa-chair-slides

I'll paste the minutes inline in this email too.

Cheers,

Bron.

Calext Interim Meeting Minutes: 2019-10-10, 11:00 Philadelphia Time

 * Present:
 - Bron Gondwana, Fastmail (chair)
 - Daniel Migault, Ericsson (chair, remote)
 - Neil Jenkins, Fastmail
 - Ken Murchison, Fastmail
 - Hans Jörg Happel, Audriga
 - Alexander Nimmervoll, Caldav Sychroniser
 - Gershon Janssen, Individual
 - Rutger Geelen, SchedJoules
 - Mike Douglass, Spherical Cow Group
 - Shane Mountain, Twitch (remote)
 - Robert Stepanek, Fastmail (remote)
 - Ryan Gunter, Twitch (remote)
 - Todd Parker, Twitch (remote)
 * Agenda
 - There was no agenda bashing
 * Eventpub
 - v16 will go up later today with support for multiple locations
 - next step: immediate working group last call
 * jscalendar
 - v19 has been published with a few small changes
 - Will do one more update with remaining comments from CalConnect call, then go direct to working group last call.
 - Will email iana with “here’s what we propose" concurrently with the working group last call.
 * jscalendar to icalendar translation
 - (wasn’t on agenda, but is related)
 - we won’t wait on this for jscalendar last call - but will continue work after jscalendar working group last call feedback is integrated
 * subscription upgrade
 - needs minor updates, will get done this week
 - next step: working group last call
 * valarm extensions
 - Daniel will loop around to geopriv people for comment on location alarms
 - Document needs to be updated to explain why geopriv issue is mitigated
 - Ken expects to have an update for that in the next two weeks.
 - After that, last call!
 * calext-maintenance-notifications
 - This has been floating around a while within the industry, multiple orgs want a way to share standardised notifications, asking us for advice!
 - feedback was “don’t use X-NAME”, suggestions were define new properties or use structured data from eventpub.
 - if using structured data, could make the schema public, potentially on schema.org
 - in general the idea of using a regular iCalendar event with a payload is good
 - may not even need to do an IETF document if using structured-data payload.
 - but maybe the other vendors want it locked down? Maybe a best current practices doc around how the payload is being used.
 - Next steps: Twitch team will take our feedback to the other vendors and discuss their options.
 * vpoll
 - What’s there clearly works now
 - Definitely want to replace VVOTER with PARTICIPANT
 - Ken will help Mike rewrite to split core and basic mode
 - Implementation status: multiple compatible implementations, it’s been shown to work in testing, but they’ll all need to be updated!
 - Want to make sure nobody starts shipping before we’ve made the direction changes we want!
 - Next steps: new draft showing which direction we’re taking it, then circle back to collect feedback and test again.
 * series
 - Current draft is expired
 - There was some discussion, it clearly needs some work.
 - Next step: call for adoption immediately, upload with working-group file name if adopted, then work on detail.
 * Other business
 - No other business.
 - We have asked for an hour in Singapore, hopefully it will cross over OK with timezone to allow remote participants to join.
 - Let’s get these current documents done - November will be a good checkpoint.

Meeting finished at 11:57

--
 Bron Gondwana, CEO, Fastmail Pty Ltd
 [email-masked]